LibreOffice: XFolderPicker2 Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XFolderPicker2 Interface Referencepublished

Provides a unified interface for the new-style FolderPicker service to implement. More...

`import "XFolderPicker2.idl";`

Inheritance diagram for XFolderPicker2:

## Exported Interfaces
interface | XFolderPicker
| Provides the ability to execute a FolderPicker dialog and browse for and select folders.
interface | com::sun::star::util::XCancellable
| For canceling a running dialog instance.

## Additional Inherited Members
Public Member Functions inherited from XFolderPicker
void | setDisplayDirectory ([in] string aDirectory) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets the root directory that the FolderPicker should display.
string | getDisplayDirectory ()
| Returns the root directory that the FolderPicker is showing.
string | getDirectory ()
| Returns the selected directory as url conforming to Rfc1738.
void | setDescription ([in] string aDescription)
| The implementation may optionally show the given text as a description for the user within the dialog, e.g.
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog.
short | execute ()
| Executes (shows) the dialog.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XCancellable
void | cancel ()
| cancels the current job of the object.

## Detailed Description

Provides a unified interface for the new-style FolderPicker service to implement.

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ com::sun::star::util::XCancellable

interface com::sun::star::util::XCancellable

For canceling a running dialog instance.

This may be useful for automatic test tools for instance.

## ◆ XFolderPicker

interface XFolderPicker

Provides the ability to execute a FolderPicker dialog and browse for and select folders.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XFolderPicker2.idl